Package net.shibboleth.idp.consent.audit.impl

# Class CurrentConsentIdsAuditExtractor

java.lang.Object
net.shibboleth.idp.consent.audit.impl.CurrentConsentIdsAuditExtractor

All Implemented Interfaces:
  `Function<ProfileRequestContext,Collection<String>>`

public class CurrentConsentIdsAuditExtractor extends Object implements Function<ProfileRequestContext,Collection<String>>
`Function` that returns the current consent IDs from a `ConsentContext`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ConsentContext>`
`consentContextLookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.

## Constructor Summary

Constructors
Constructor
Description
`CurrentConsentIdsAuditExtractor()`
Constructor.
`CurrentConsentIdsAuditExtractor(Function<ProfileRequestContext,ConsentContext> strategy)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Collection<String>`
`apply(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### consentContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,ConsentContext> consentContextLookupStrategy
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.

## Constructor Details

### CurrentConsentIdsAuditExtractor

public CurrentConsentIdsAuditExtractor()
Constructor.

### CurrentConsentIdsAuditExtractor

public CurrentConsentIdsAuditExtractor(@Nonnull Function<ProfileRequestContext,ConsentContext> strategy)
Constructor.

Parameters:
  `strategy` - the consent context lookup strategy

## Method Details

### apply

@Nullable public Collection<String> apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,Collection<String>>`